//
//  MMPreview.h
//
//  Created by Herbert Ptzl on Wed Mar 06 2002.
//  Copyright (c) 2002-2008 H.Ptzl. 
//
//  This file is part of MathMap.
//
//  MathMap is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  MathMap is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with MathMap; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#import <Cocoa/Cocoa.h>

@class MMDocument, MMExpression, MMInvocation, MMImageView;

@interface MMPreview : NSObject {
@private
    IBOutlet NSWindow 			*previewWindow;
    IBOutlet MMImageView 		*imageView;
    IBOutlet NSTextField 		*statusText;
    IBOutlet NSProgressIndicator 	*progressIndicator;

    IBOutlet NSButton 			*antialiasButton;
    IBOutlet NSButton 			*supersampleButton;
//    IBOutlet NSProgressIndicator 	*progressIndicator;

    NSImage *_previewImage;
    NSBitmapImageRep *_previewRep;
    MMExpression *_expression;
    NSArray *_userValues;
    MMDocument *_document;
    
    NSTimer *_pollTimer;
    MMInvocation *_invocation;
    BOOL _shouldBecomeIdle;
    
}

+ (id)previewController;

- (void)openPreviewWindow:(id)sender;

// + (id)previewForDocument:(MMDocument *)aDocument;

// - (id)initWithDocument:(MMDocument *)aDocument;
// - (void)setDocument:(MMDocument *)aDocument;

// - (void)updatePreview;

@end


/*
    IBOutlet NSWindow 		*previewWindow;
    IBOutlet NSImageView 	*imageView;
    IBOutlet NSTextField 	*statusText;
    IBOutlet NSPopUpButton 	*documentPopUp;

    NSArray *documents;

- (void)addDocument:(MMDocument *)aDocument;
- (void)removeDocument:(MMDocument *)aDocument;

- (void)setActiveDocument:(MMDocument *)aDocument;
- (MMDocument *)activeDocument;

*/
